***********************************************
* "Do Better Paid Politicians Perform Better?"
* Table 3
***********************************************


*** candidates' characteristics: LLR Imbens & Lemieux

use SIN19932001.dta, clear
rename gender gender1
rename age age1
rename years_school years_school1
rename empl_not empl_not1
rename empl_entr empl_entr1
rename empl_boss empl_boss1
rename empl_low empl_low1
rename gender_second gender2
rename age_second age2
rename years_school_second years_school2
rename empl_not_second empl_not2
rename empl_entr_second empl_entr2
rename empl_boss_second empl_boss2
rename empl_low_second empl_low2
rename gender_third gender3
rename age_third age3
rename years_school_third years_school3
rename empl_not_third empl_not3
rename empl_entr_third empl_entr3
rename empl_boss_third empl_boss3
rename empl_low_third empl_low3
keep pop_census gender1 age1 years_school1 empl_not1 empl_entr1 empl_boss1 empl_low1 gender2 age2 years_school2 empl_not2 empl_entr2 empl_boss2 empl_low2 gender3 age3 /*
*/ years_school3 empl_not3 empl_entr3 empl_boss3 empl_low3 id_city year_election t5000 pop5000 t5000_int1 pop5000_2 pop5000_3 pop5000_4 t5000_int2 t5000_int3 t5000_int4 term_limit extension alt_center NORTH
reshape long gender age years_school empl_not empl_entr empl_boss empl_low, i(id_city year_election)
keep if gender!=. & age!=. & years_school!=. & empl_not!=. & empl_entr!=. & empl_boss!=. & empl_low!=.

* create e(sample)
reg age gender years_school empl_not empl_entr empl_boss empl_low t5000 pop5000 t5000_int1,cluster(id_city)
gen sample_max=e(sample)==1

reg gender t5000 pop5000 t5000_int1 if pop_census>3700 & pop_census<6300 & sample_max==1,cluster(id_city)
reg age t5000 pop5000 t5000_int1 if pop_census>3300 & pop_census<6700 & sample_max==1,cluster(id_city)
reg years_school t5000 pop5000 t5000_int1 if pop_census>4100 & pop_census<5900 & sample_max==1,cluster(id_city)
reg empl_not t5000 pop5000 t5000_int1 if pop_census>4100 & pop_census<5900 & sample_max==1,cluster(id_city)
reg empl_entr t5000 pop5000 t5000_int1 if pop_census>3300 & pop_census<6700 & sample_max==1,cluster(id_city)
reg empl_boss t5000 pop5000 t5000_int1 if pop_census>3700 & pop_census<6300 & sample_max==1,cluster(id_city)
reg empl_low t5000 pop5000 t5000_int1 if pop_census>3600 & pop_census<6400 & sample_max==1,cluster(id_city)


*** mayor's characteristics: LLR Imbens & Lemieux

use SIN19932001.dta, clear
keep if pop_census>3250 & pop_census<6750
keep if gender!=. & age!=. & years_school!=. & empl_not!=. & empl_boss!=. & empl_low!=. & empl_entr!=.

* create e(sample)
reg age gender years_school empl_not empl_entr empl_boss empl_low t5000 pop5000 t5000_int1,cluster(id_city)
gen sample_max=e(sample)==1

reg gender t5000 pop5000 t5000_int1 if pop_census>3300 & pop_census<6700 & sample_max==1,cluster(id_city)
reg age t5000 pop5000 t5000_int1 if pop_census>3300 & pop_census<6700 & sample_max==1,cluster(id_city)
reg years_school t5000 pop5000 t5000_int1 if pop_census>3900 & pop_census<6100 & sample_max==1,cluster(id_city)
reg empl_not t5000 pop5000 t5000_int1 if pop_census>4000 & pop_census<6000 & sample_max==1,cluster(id_city)
reg empl_entr t5000 pop5000 t5000_int1 if pop_census>3600 & pop_census<6400 & sample_max==1,cluster(id_city)
reg empl_boss t5000 pop5000 t5000_int1 if pop_census>3300 & pop_census<6700 & sample_max==1,cluster(id_city)
reg empl_low t5000 pop5000 t5000_int1 if pop_census>3600 & pop_census<6400 & sample_max==1,cluster(id_city)


