***********************************************
* "Do Better Paid Politicians Perform Better?"
* Table 6
***********************************************


*** city pre-determined characteristics: LLR Imbens & Lemieux

use SIN19932001.dta, clear

sort id_city year_election
bysort id_city: gen counter=_n 
keep if counter==1

keep if extension!=. & alt_center!=. & NORTH!=.

reg extension t5000 pop5000 t5000_int1 if pop_census>3300 & pop_census<6700
reg alt_center t5000 pop5000 t5000_int1 if pop_census>4000 & pop_census<6000
reg NORTH t5000 pop5000 t5000_int1 if pop_census>3400 & pop_census<5600


*** Robustness check (1) city pre-determined characteristics: LLR Imbens & Lemieux half bandwidth

reg extension t5000 pop5000 t5000_int1 if pop_census>4150 & pop_census<5850
reg alt_center t5000 pop5000 t5000_int1 if pop_census>4500 & pop_census<5500
reg NORTH t5000 pop5000 t5000_int1 if pop_census>3650 & pop_census<5350


*** Robustness check (2) city pre-determined characteristics: LLR Imbens & Lemieux one-fourth bandwidth

reg extension t5000 pop5000 t5000_int1 if pop_census>4525 & pop_census<5425
reg alt_center t5000 pop5000 t5000_int1 if pop_census>4750 & pop_census<5250
reg NORTH t5000 pop5000 t5000_int1 if pop_census>3850 & pop_census<5150


*** Robustness check (3): split polynomial 3rd

reg extension t5000 pop5000 pop5000_2 pop5000_3 t5000_int1 t5000_int2 t5000_int3
reg alt_center t5000 pop5000 pop5000_2 pop5000_3 t5000_int1 t5000_int2 t5000_int3
reg NORTH t5000 pop5000 pop5000_2 pop5000_3 t5000_int1 t5000_int2 t5000_int3


*** Robustness check (4): split polynomial 4th

reg extension t5000 pop5000 pop5000_2 pop5000_3 pop5000_4 t5000_int1 t5000_int2 t5000_int3 t5000_int4
reg alt_center t5000 pop5000 pop5000_2 pop5000_3 pop5000_4 t5000_int1 t5000_int2 t5000_int3 t5000_int4
reg NORTH t5000 pop5000 pop5000_2 pop5000_3 pop5000_4 t5000_int1 t5000_int2 t5000_int3 t5000_int4

