***********************************************
* "Do Better Paid Politicians Perform Better?"
* Figure 6
***********************************************


use CENSUS2001.dta, clear

twoway (histogram pop_census2001 if pop_census2001>4000 & pop_census2001<6000, width(200) start(4000) freq lwidth(thin) fcolor(khaki)) /*
*/ (histogram pop_census2001 if pop_census2001>4000 & pop_census2001<6000, width(100) start(4000) freq lwidth(thin) fcolor(brown)) /*
*/ (histogram pop_census2001 if pop_census2001>4000 & pop_census2001<6000, width(50) start(4000) freq lwidth(thin) fcolor(sienna)), /*
*/ xline(5000,lcolor(blue) lwidth(medthick)) /*
*/ xtitle("Population size") ytitle(Frequency) xlabel(4500 5000 5500, labsize(small)) /*
*/ ylabel(25 50 75 100, labsize(small)) xscale(titlegap(3)) yscale(titlegap(3)) legend(label(1 "bin=200") /*
*/ label(2 "bin=100") label(3 "bin=50") colgap(*3) width(90))
graph save graphpopsize5000cens2001.gph, replace
graph export graphpopsize5000cens2001.png, replace
graph export graphpopsize5000cens2001.eps, replace

